#include<stdio.h>
#include<string.h>
#define DEBUG true
int pon=9;

void setup()
{
  SerialUSB.begin(9600);
   while (!SerialUSB) {
    ; // wait for serial port to connect
  }
  Serial1.begin(9600); 
  pinMode(pon, OUTPUT);
  digitalWrite(pon, HIGH);
  delay(3000); 
  digitalWrite(pon, LOW);    
  delay(1000); 
}

void loop()
{
   setgps();
   while(1)
   {
        sendData( "AT+CGNSINF",1000,DEBUG);   
        delay(1000);
        sendData( "AT+CSQ",1000,DEBUG);
   }
}
void setgps(void)
{
   sendData( "AT+CGNSPWR=1",1000,DEBUG); 
   sendData( "AT+CGNSSEQ=RMC",1000,DEBUG); 
   
}


String sendData(String command, const int timeout, boolean debug)
{
    String response = "";    
    Serial1.println(command); 
    long int time = millis();   
    while( (time+timeout) > millis())
    {
      while(Serial1.available())
      {       
        char c = Serial1.read(); 
        response+=c;
      }  
    }    
    if(debug)
    {
      SerialUSB.print(response);
    }    
    return response;
}


